Bug Hunting Session
Bug 127953 - CRASH: Closing Edit Style dialog
Summary: CRASH: Closing Edit Style dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-10-03 15:05 UTC by Xisco Faulí
Modified: 2019-10-07 08:44 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-10-03 15:05:33 UTC
Steps to reproduce:
1. Open Impress
2. Insert an image
3. context menu - Edit style
4. Cancel

-> Crash

reproduced in

Version: 6.4.0.0.alpha0+
Build ID: c9336bfb6bbf6d73d3f23c124262ade30133448d
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-10-03 15:06:32 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a37e559ed123789f6bc8f7972242d6461ce692ab

author	Caolán McNamara <caolanm@redhat.com>	2019-09-20 20:29:36 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-09-26 09:54:18 +0200
commit	a37e559ed123789f6bc8f7972242d6461ce692ab (patch)
tree	7c6304b4541335b2bb706efda58b882132fe3819
parent	b3f249c1351642be6f2774230ff80a6d20bd1401 (diff)
disinherit OWizardPage and SfxTabPage from vcl TabPage

Bisected with: bibisect-linux64-6.4

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2019-10-04 08:00:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92a435a3fea1fda933c1d418e4711a9bfb3bdb2a

Resolves: tdf#127953 destroy shape before model

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-10-07 08:44:59 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52cda5c5ae426761ccbdb4f20419098eab195303
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!